Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev2c
Class DisplayString

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--uk.co.westhawk.examplev2c.DisplayString

All Implemented Interfaces:
  java.awt.event.ActionListener, AsnOctetsPrintableFace, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.util.Observer, java.io.Serializable

public class DisplayString
extends javax.swing.JComponent
implements java.util.Observer, java.awt.event.ActionListener, AsnOctetsPrintableFace

The DisplayString application tests the display (print) of DisplayString. It will display the parameters, as configured in the properties file. It will show the (unicode) value as specified in the properties file in the UI. The UI will enable you to do a set with this value. The returned value should be exactly the same as original unicode one.

The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `DisplayString.properties`. If this file does not exist, the application will use default parameters.

The user can set the required OID and perform a Get or GetNext request.

The user can also set a MIB variable by performing a Set request. By default the value is set as a String type (using AsnOctets), unless the value is a number (AsnInteger will then be used).

Version:
  $Revision: 1.3 $ $Date: 2006/01/30 11:37:15 $
Author:
  Birgit Arkesteijn
See Also:
  `GetPdu`, `SetPdu`, Serialized Form

Field Summary
`static java.lang.String` | `sysLocation` sysLocation is used as default oid

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface uk.co.westhawk.snmp.stack.AsnOctetsPrintableFace
`version_id`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DisplayString(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`static java.awt.GridBagConstraints` | `getGridBagConstraints2(int x, int y, int w, int h, double wx, double wy, int anchor, int fill, java.awt.Insets ins, int ix, int iy)`
`void` | `init()`
`boolean` | `isPrintable(byte[] value)` Returns whether or not the AsnOctets' byte array represent a printable string or not.
`static void` | `main(java.lang.String[] args)`
`void` | `setErrorMessage(java.lang.String message)`
`void` | `setMessage(java.lang.String message)`
`void` | `setMessage(java.lang.String message, boolean isError)`
`java.lang.String` | `toInternationalDisplayString(byte[] value)` This method provides the implemantation of the InternationalDisplayString text-convention.
`void` | `update(java.util.Observable obs, java.lang.Object ov)` Implementing the Observer interface.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sysLocation

    public static final java.lang.String sysLocation

  sysLocation is used as default oid

  See Also:
    Constant Field Values

Constructor Detail

### DisplayString

    public DisplayString(java.lang.String propertiesFilename)

  Constructor.

Parameters:
  `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### isPrintable

    public boolean isPrintable(byte[] value)

  Description copied from interface: `AsnOctetsPrintableFace`
  Returns whether or not the AsnOctets' byte array represent a printable string or not.

  Specified by:
    `isPrintable` in interface `AsnOctetsPrintableFace`
  See Also:
    `AsnOctets.toCalendar()`, `AsnOctets.toDisplayString()`, `AsnOctets.toHex()`, `AsnOctets.toString()`

### toInternationalDisplayString

    public java.lang.String toInternationalDisplayString(byte[] value)

  Description copied from interface: `AsnOctetsPrintableFace`
  This method provides the implemantation of the InternationalDisplayString text-convention. See HOST-RESOURCES-MIB.

  "This data type is used to model textual information in some character set. A network management station should use a local algorithm to determine which character set is in use and how it should be displayed. Note that this character set may be encoded with more than one octet per symbol, but will most often be NVT ASCII. When a size clause is specified for an object of this type, the size refers to the length in octets, not the number of symbols."

  Specified by:
    `toInternationalDisplayString` in interface `AsnOctetsPrintableFace`

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  Implementing the Observer interface. Receiving the response from the Pdu.

  Specified by:
    `update` in interface `java.util.Observer`
  Parameters:
    `obs` - the Pdu variable
    `ov` - the varbind
  See Also:
    `GetPdu`, `SetPdu`, `varbind`

### setErrorMessage

    public void setErrorMessage(java.lang.String message)

### setMessage

    public void setMessage(java.lang.String message)

### setMessage

    public void setMessage(java.lang.String message,
                           boolean isError)

### getGridBagConstraints2

    public static java.awt.GridBagConstraints getGridBagConstraints2(int x,
                                                                     int y,
                                                                     int w,
                                                                     int h,
                                                                     double wx,
                                                                     double wy,
                                                                     int anchor,
                                                                     int fill,
                                                                     java.awt.Insets ins,
                                                                     int ix,
                                                                     int iy)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD